@font-face
{
    font-family: lato;
    src: url("fonts/Lato-Semibold.ttf");
}

*
{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: lato, sans-serif;
}
a
{
    text-decoration: none;
    color: black;
}
li
{
    list-style-type: none;
}

body
{
    background-color: rgba(17, 17, 17, 1);
}
header 
{
    width: 100%;
    text-align: center;
    color: rgba(255, 255, 255, 0.9);
    padding: 20px 0;
    border-bottom: 2px solid transparent;
    border-image: linear-gradient(to right,transparent,rgba(255,255,255,0.7),transparent);
    border-image-slice: 1;
    background-color: rgba(17, 17, 17, 1);
}
header .logo 
{
    height: 70px;
    width: 70px;
    position: absolute;
    top: 24px;
    left: 30px;
    z-index: 100;
    background: url("../ressources/logos_icones/b_the_numbers_logo.png") no-repeat center;
    background-size: contain;
    opacity: 0.85;
}
header h1 
{
    font-size: 2.2em;
    letter-spacing: 8px;
    margin-bottom: 10px;
}
header h3 
{
    font-size: 1.2em;
    letter-spacing: 3px;
}
.bloc_page 
{
    background: url("../ressources/images/bg1.jpg") repeat-y center;
    background-size: cover;
    height: 90vh;
    overflow: auto;
}
.counters 
{
    color: rgba(255,255,255,0.9);
    display: grid;
    grid-template-columns: repeat(4,1fr);
    margin-top: 40px;
    padding: 20px 10%;
    border-top: solid 1px rgba(255,255,255,0.8);
    border-bottom: solid 1px rgba(255,255,255,0.8);
    background-color: rgba(17, 17, 17, 1);
}
.counters > div 
{
    text-align: center;
    margin-right: 4px;
} 
.counters a 
{
    border: solid 1px rgb(236, 222, 252);
    border-radius: 4px;
    color: rgb(236, 222, 252);
    height: 66px;
    width: 68px;
    margin-bottom: 2px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    left: 50%;
    margin-left: -34px;
    background-color: rgb(31, 17, 32);
    font-size: 2.6em;

    transition: 0.2s;
    -webkit-transition: 0.2s;
    -moz-transition: 0.2s;
    -o-transition: 0.2s;
    -ms-transition: 0.2s;
}
.counters a:hover 
{
    border-radius: 50%;
    font-size: 2.4em;
}
.counters div:nth-child(1) a:hover 
{
    color: white;
    background-color: rgb(29,161,243);
}
.counters div:nth-child(2) a:hover
{
    color: white;
    background-color: rgb(61,78,154);
}
.counters div:nth-child(3) a:hover 
{
    color: white;
    background: linear-gradient(to right, rgb(255,265,71),rgb(232,32,73),rgb(167,44,174));
}
.counters div:nth-child(4) a:hover 
{
    color: white;
    background-color: rgb(0,106,186);
}
.counter 
{
    margin-top: 2px;
    padding: 2px 0;
    font-size: 1.2em;
    text-shadow: 0 0 4px rgba(255,255,255,0.5);
    border-bottom: 1px solid transparent;
    border-image: linear-gradient(to right,transparent,rgba(255,255,255,0.7),transparent);
    border-image-slice: 1;
}
.counters h3 
{
    padding: 4px 0 2px 0;
    letter-spacing: 2px;
    font-weight: 100;
    font-size: 0.9em;
}

footer 
{
    /* position: absolute;
    bottom: 0; */
    height: 10vh;
    width: 100%;
    text-align: center;
    color:rgb(236, 222, 252);
    background-color: rgba(17, 17, 17, 1);
    padding: 6px 0;
    line-height: 1.5em;
    letter-spacing: 1px;
    border-top: solid 1px rgba(255,255,255,0.8);
}
footer .logo 
{
    position: absolute;
    top: 14px;
    left: 20px;
    height: 30px;
    width: 30px;
    z-index: 100;
    background: url("../ressources/logos_icones/b_the_numbers_logo.png") no-repeat center;
    background-size: cover;
    opacity: 0.3;
}

/* --- Media Queries ---*/

@media(max-width: 760px)
{
    header .logo 
    {
        display: none;
    }
}
@media(max-width: 650px)
{
    .bloc_page 
    {
        height: 100vh;
    }
    header h1 
    {
        font-size: 2em;
        letter-spacing: 6px;
    }
    header h3 
    {
        font-size: 1em;
    }
    .counters 
    {
        grid-template-columns: repeat(2,1fr);
        margin-bottom: 20px;
    }
    .counters > div:nth-child(1), .counters > div:nth-child(2)
    {
        margin-bottom: 16px;
    }
    .counters a 
    {
        height: 58px;
        width: 60px;
        margin-left: -30px;
        font-size: 2.2em;
    }
    .counters a:hover 
    {
        font-size: 2em;
    }
    .counter 
    {
        font-size: 1.1em;
    }
    .counters h3 
    {
        font-size: 0.8em;
    }
    footer 
    {
        font-size: 0.8em;
    }
}
@media(max-width: 386px)
{
    header h1 
    {
        font-size: 1.5em;
        letter-spacing: 4px;
    }
    header h3 
    {
        font-size: 0.8em;
    }
    .counters 
    {
        margin-top: 20px;
    }
    .counters a 
    {
        height: 52px;
        width: 54px;
        margin-left: -27px;
        font-size: 2em;
    }
    .counters a:hover 
    {
        font-size: 1.8em;
    }
    .counter 
    {
        font-size: 1em;
    }
    .counters h3 
    {
        font-size: 0.6em;
    }
}
@media(max-width: 320px)
{
    header h1 
    {
        font-size: 1.3em;
        letter-spacing: 2px;
    }
    header h3 
    {
        font-size: 0.6em;
    }
    .counters 
    {
        grid-template-columns: repeat(1, 1fr);
    }
    .counters > div
    {
        margin-bottom: 16px;
    }
    .counters a 
    {
        height: 44px;
        width: 46px;
        margin-left: -24px;
        font-size: 1.6em;
    }
    .counters a:hover 
    {
        font-size: 1.4em;
    }
    .counter 
    {
        font-size: 0.8em;
    }
    .counters h3 
    {
        font-size: 0.6em;
    }
    footer 
    {
        font-size: 0.7em;
        position: static;
        margin-top: 20px;
    }
}